Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
JoinCursor..::.Current Property
JoinCursor Class See Also Send Feedback

The key/data pair at which the cursor currently points.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public KeyValuePair<DatabaseEntry, DatabaseEntry> Current { get; private set; }

Visual Basic (Declaration)
    Public Property Current As KeyValuePair(Of DatabaseEntry, DatabaseEntry)

Visual C++
    public:
    property KeyValuePair<DatabaseEntry^, DatabaseEntry^> Current {
    	KeyValuePair<DatabaseEntry^, DatabaseEntry^> get ();
    	void set (KeyValuePair<DatabaseEntry^, DatabaseEntry^> value);
    }

# See Also

JoinCursor Class
BerkeleyDB Namespace